Skip to content

Create an initiative ​

POST/api/v1/workspaces/{workspace_slug}/initiatives/

Create an initiative in the workspace.

Path parameters ​

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

name:requiredstring

The initiative's name.

description:optionalstring

The initiative's description.

description_html:optionalstring

The description as HTML.

description_stripped:optionalstring

The description as plain text, with HTML removed.

start_date:optionalstring

The initiative's start date.

end_date:optionalstring

The initiative's end date.

logo_props:optionalobject

Logo settings used by the Plane editor.

state:optionalstring
  • DRAFT - Draft
  • PLANNED - Planned
  • ACTIVE - Active
  • COMPLETED - Completed
  • CLOSED - Closed
archived_at:optionalstring

When the initiative was archived.

created_by:optionalstring

ID of the user who created the initiative.

updated_by:optionalstring

ID of the user who last updated the initiative.

lead:optionalstring

User ID of the initiative lead.

Scopes ​

initiatives:write

Create an initiative
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/initiatives/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Example Name",
  "description": "Example description",
  "description_html": "<p>Example content</p>",
  "description_stripped": "Example description",
  "start_date": "2024-01-01T00:00:00Z",
  "end_date": "2024-01-01T00:00:00Z",
  "logo_props": "example-value",
  "state": "DRAFT",
  "archived_at": "2024-01-01T00:00:00Z",
  "created_by": "550e8400-e29b-41d4-a716-446655440000",
  "updated_by": "550e8400-e29b-41d4-a716-446655440000",
  "lead": "550e8400-e29b-41d4-a716-446655440000"
}'
Response201
json
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "name": "Example Name",
  "description": "Example description"
}